"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BearerVerifierComponent = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const loopback4_authentication_1 = require("loopback4-authentication");
const keys_1 = require("./keys");
const models_1 = require("./models");
const facades_bearer_token_verify_provider_1 = require("./providers/facades-bearer-token-verify.provider");
const services_bearer_token_verify_provider_1 = require("./providers/services-bearer-token-verify.provider");
const repositories_1 = require("./repositories");
let BearerVerifierComponent = class BearerVerifierComponent {
    constructor(config) {
        this.config = config;
        this.bindings = [];
        this.providers = {};
        this.repositories = [repositories_1.RevokedTokenRepository];
        this.models = [models_1.RevokedToken];
        if (this.config && this.config.type === keys_1.BearerVerifierType.service) {
            this.providers[loopback4_authentication_1.Strategies.Passport.BEARER_TOKEN_VERIFIER.key] =
                services_bearer_token_verify_provider_1.ServicesBearerTokenVerifyProvider;
        }
        else if (this.config && this.config.type === keys_1.BearerVerifierType.facade) {
            this.providers[loopback4_authentication_1.Strategies.Passport.BEARER_TOKEN_VERIFIER.key] =
                facades_bearer_token_verify_provider_1.FacadesBearerTokenVerifyProvider;
        }
        else {
            console.error('Invalid BearerVerifierType specified !');
        }
    }
};
BearerVerifierComponent = tslib_1.__decorate([
    tslib_1.__param(0, core_1.inject(keys_1.BearerVerifierBindings.Config)),
    tslib_1.__metadata("design:paramtypes", [Object])
], BearerVerifierComponent);
exports.BearerVerifierComponent = BearerVerifierComponent;
//# sourceMappingURL=component.js.map