import { Count, DataObject, Getter, juggler, Where, Filter, AnyObject, DefaultTransactionalRepository, Entity } from '@loopback/repository';
import { Options } from 'loopback-datasource-juggler';
import { IAuthUserWithPermissions } from '../components';
import { UserModifiableEntity } from '../models';
export declare abstract class DefaultTransactionalUserModifyRepository<T extends UserModifiableEntity, ID, Relations extends object = {}> extends DefaultTransactionalRepository<T, ID, Relations> {
    protected readonly getCurrentUser: Getter<IAuthUserWithPermissions | undefined>;
    constructor(entityClass: typeof Entity & {
        prototype: T;
    }, dataSource: juggler.DataSource, getCurrentUser: Getter<IAuthUserWithPermissions | undefined>);
    find(filter?: Filter<T>, options?: Options): Promise<(T & Relations)[]>;
    findOne(filter?: Filter<T> | undefined, options?: AnyObject | undefined): Promise<(T & Relations) | null>;
    findById(id: ID, filter?: Filter<T>, options?: Options): Promise<T & Relations>;
    create(entity: DataObject<T>, options?: Options): Promise<T>;
    createAll(entities: DataObject<T>[], options?: Options): Promise<T[]>;
    save(entity: T, options?: Options): Promise<T>;
    update(entity: T, options?: Options): Promise<void>;
    updateAll(data: DataObject<T>, where?: Where<T>, options?: Options): Promise<Count>;
    updateById(id: ID, data: DataObject<T>, options?: Options): Promise<void>;
    replaceById(id: ID, data: DataObject<T>, options?: Options): Promise<void>;
    deleteAllHard(where?: Where<T>, options?: Options): Promise<Count>;
    deleteByIdHard(id: ID, options?: Options): Promise<void>;
    deleteById(id: ID, options?: Options): Promise<void>;
    deleteAll(where?: Where<T>, options?: Options): Promise<Count>;
}
